Loading...
Searching...
No Matches
sendfile.hpp File Reference
`#include <string>`
`#include <chrono>`
`#include <array>`
`#include <restinio/impl/include_fmtlib.hpp>`
`#include <restinio/asio_include.hpp>`
`#include <restinio/string_view.hpp>`
`#include <restinio/exception.hpp>`

Go to the source code of this file.

## Classes

class | restinio::sendfile_chunk_size_guarded_value_t
| A guard class for setting chunk size. More...
class | restinio::file_descriptor_holder_t
| Wrapper class for working with native file handler. More...
class | restinio::file_meta_t
| Meta data of the file. More...
class | restinio::sendfile_t
| Send file write operation description. More...

## Namespaces

namespace | restinio

## Functions

Functions for creating sendfile_t objects.

A group of function to create sendfile_t, that is convertad to writable items used as a part of response.

Since
  v.0.4.3

sendfile_t | restinio::sendfile (file_descriptor_holder_t fd, file_meta_t meta, file_size_t chunk_size=sendfile_default_chunk_size) noexcept
sendfile_t | restinio::sendfile (const char *file_path, file_size_t chunk_size=sendfile_default_chunk_size)
sendfile_t | restinio::sendfile (const std::string &file_path, file_size_t chunk_size=sendfile_default_chunk_size)
sendfile_t | restinio::sendfile (string_view_t file_path, file_size_t chunk_size=sendfile_default_chunk_size)

## Variables

constexpr file_size_t | restinio::sendfile_default_chunk_size = 1024 * 1024
| Default chunk size for sendfile operation.
constexpr file_size_t | restinio::sendfile_max_chunk_size = 1024 * 1024 * 1024
| Maximum size of a chunk.